Name:           python-goodpoints
Version:        0.3.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Tools to generate concise high-quality summaries of a probability distribution

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/microsoft/goodpoints
Source:         %{pypi_source goodpoints}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'goodpoints' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-goodpoints
Summary:        %{summary}

%description -n python3-goodpoints %_description


%prep
%autosetup -p1 -n goodpoints-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-goodpoints -f %{pyproject_files}


%changelog
%autochangelog